# Generated by Django 2.1.1 on 2019-03-11 06:10

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('IndospiritTransactions', '0026_auto_20190308_1400'),
    ]

    operations = [
        migrations.CreateModel(
            name='DebitNote',
            fields=[
                ('debit_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('type', models.CharField(choices=[('DebitNote', 'Debit Note')], max_length=30)),
                ('reference', models.CharField(blank=True, max_length=100, null=True)),
                ('amount', models.DecimalField(decimal_places=2, default=0, max_digits=20)),
                ('debit_date', models.DateField(blank=True, null=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('is_active', models.BooleanField(blank=True, default=True, null=True)),
                ('is_deleted', models.BooleanField(blank=True, default=False, null=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='created_by_debit', to=settings.AUTH_USER_MODEL)),
                ('dealer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='debit_dealer', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
